Subject: bug#71817: 29.3; Sub-directory handling of ELPA package

From: Stefan Monnier <[email-masked]>
Date: Sat, 29 Jun 2024 23:26:58 -0400

> Thanks for the explanations and for exploring options to load sources in
> sub-directories without recursive loading by default.  I take that the
> current status - byte-compile recursively, only add source root path to
> `load-path' - will continue to be the path forward.

Yes.

> For now, it makes sense that loading sources from sub-directories
> requires some manual `load-path' handling.  Maybe when using
> sub-directories to organize source files becomes more common upstream
> may consider adding some convenient functions/macros to make it easier,
> but it will be for the future.

The direction I'd like to move into is to do fewer things automatically
when installing Emacs and instead move the work to the moment when we
build the tarball.

        Stefan